/*
// @file		stringext.mm
//
// @version		Mailit for C/C++ 1.0 sample file
//
// @author		(C) 2007 Dacons LLP.
//
// @bug			If you have problems or suggestions, please contact
//				the Online Support at: http://www.dacons.net/support
*/

#import "stringext.h"


@implementation NSString (NSStringExt)
- (const unichar *)uniString
{
	// Create unicode string
	NSMutableData* data = [NSMutableData dataWithLength:([self length] + 1)
				* sizeof(unichar)];
	unichar* buffer = (unichar*)[data mutableBytes];
	[self getCharacters:buffer];
	return buffer;
}
@end
